> For the complete documentation index, see [llms.txt](https://springstreet.gitbook.io/springstreet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://springstreet.gitbook.io/springstreet.io/api/openapi.md).

# OpenAPI

You can sync GitBook pages with an OpenAPI or Swagger file or a URL to include auto-generated API methods in your documentation.

### OpenAPI block

GitBook's OpenAPI block is powered by [Scalar](https://scalar.com/), so you can test your APIs directly from your docs.

## GET /debtors/addresses

>

```json
{"openapi":"3.0.1","info":{"title":"springstreetBusinessAPI","version":"2025-09-08T08:15:42Z"},"servers":[{"url":"https://api.springstreet.io"}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"schemas":{"Empty":{"title":"Empty Schema","type":"object"}}},"paths":{"/debtors/addresses":{"get":{"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Empty"}}}}}}}}}
```
